AlmaLinux 2250 Published by

Updated squid packages are available for both AlmaLinux 8 and 9:

ALSA-2024:0046 Important: squid:4 security update
ALSA-2024:0071 Important: squid security update




ALSA-2024:0046 Important: squid:4 security update


ID:
ALSA-2024:0046

Title:
ALSA-2024:0046 Important: squid:4 security update

Type:
security

Severity:
important

Release date:
2024-01-08

Description
Squid is a high-performance proxy caching server for web clients, supporting FTP, Gopher, and HTTP data objects.
Security Fix(es):
* squid: Denial of Service in SSL Certificate validation (CVE-2023-46724)
* squid: NULL pointer dereference in the gopher protocol code (CVE-2023-46728)
* squid: Buffer over-read in the HTTP Message processing feature (CVE-2023-49285)
* squid: Incorrect Check of Function Return Value In Helper Process management (CVE-2023-49286)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

References:
CVE-2023-46724
CVE-2023-46728
CVE-2023-49285
CVE-2023-49286
RHSA-2024:0046
ALSA-2024:0046

Updated packages listed below:
Architecture
Package
Checksum
aarch64
libecap-devel-1.0.1-2.module_el8.6.0+2741+01592ae8.aarch64.rpm
55e3f425f9b79d25a1b7886223c57dc2ec531e67854501992274d404e0f1a950
aarch64
libecap-1.0.1-2.module_el8.6.0+2741+01592ae8.aarch64.rpm
c6410e4bb614a814925e18f8c72f24ebafaf58481f30e6c70024919f51b4739b
aarch64
squid-4.15-7.module_el8.9.0+3708+6acaac63.5.aarch64.rpm
f63aa3599fc887978b05f2c164606171991474ae67a166b8c782d70a3997bfb2
ppc64le
libecap-1.0.1-2.module_el8.6.0+2741+01592ae8.ppc64le.rpm
66453ca7b12ce16e17ae04c9ebcd5f451f151148ef13dd9f13c31fec5fbcd9d2
ppc64le
squid-4.15-7.module_el8.9.0+3708+6acaac63.5.ppc64le.rpm
9939e83afb91444c230349e892af34aa4bc1b7b214fa709dae64ac5886f8bae6
ppc64le
libecap-devel-1.0.1-2.module_el8.6.0+2741+01592ae8.ppc64le.rpm
d36d6e8d7784be4644a74c6e52693c28ecea72e084690277ac0632dd21819db0
s390x
squid-4.15-7.module_el8.9.0+3708+6acaac63.5.s390x.rpm
241d24ba106d31ce121fae6b40e9120d349b5f6bc1c6ee4395d5039baa54cdfa
s390x
libecap-1.0.1-2.module_el8.6.0+3048+383bc947.s390x.rpm
6f8eb1f500a9dca1949f5f05aedf6b97764817d9f17284be3612eec04618f4e1
s390x
libecap-devel-1.0.1-2.module_el8.6.0+3048+383bc947.s390x.rpm
96f15e87a90682f6ec87bc4ed7c8edae439f414cd0382f1865dcf76ac3a7807d
x86_64
libecap-1.0.1-2.module_el8.6.0+2741+01592ae8.x86_64.rpm
1cbc8a0c82dbc6330bd8880c0db4cdc3ef8d59ecafa7ded1aa5431d18933a432
x86_64
squid-4.15-7.module_el8.9.0+3708+6acaac63.5.x86_64.rpm
4bb0dc85bf1c746bf3ecd159089e902108e282ddf69520e8fb8ae808b9c89951
x86_64
libecap-devel-1.0.1-2.module_el8.6.0+2741+01592ae8.x86_64.rpm
4d62ea1c65382c3acfe697af449cc2c673d03660a3a39f6c0b1e71e09f5fe8df

Notes:
This page is generated automatically from Red Hat security data and has not been checked for errors. For clarification or corrections please contact the AlmaLinux Packaging Team.

  ALSA-2024:0046 Important: squid:4 security update



ALSA-2024:0071 Important: squid security update


ID:
ALSA-2024:0071

Title:
ALSA-2024:0071 Important: squid security update

Type:
security

Severity:
important

Release date:
2024-01-08

Description
Squid is a high-performance proxy caching server for web clients, supporting FTP, Gopher, and HTTP data objects.
Security Fix(es):
* squid: Denial of Service in SSL Certificate validation (CVE-2023-46724)
* squid: NULL pointer dereference in the gopher protocol code (CVE-2023-46728)
* squid: Buffer over-read in the HTTP Message processing feature (CVE-2023-49285)
* squid: Incorrect Check of Function Return Value In Helper Process management (CVE-2023-49286)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

References:
CVE-2023-46724
CVE-2023-46728
CVE-2023-49285
CVE-2023-49286
RHSA-2024:0071
ALSA-2024:0071

Updated packages listed below:
Architecture
Package
Checksum
aarch64
squid-5.5-6.el9_3.5.aarch64.rpm
394f1dea8ad8ee989a155e1b265379132f8e3748379c987d72230f9cbe85ca15
ppc64le
squid-5.5-6.el9_3.5.ppc64le.rpm
73e9b85690ad96f8fd43088662556bd551731e828654ddf6282176e3464aeda9
s390x
squid-5.5-6.el9_3.5.s390x.rpm
dd8737333807da668cef93da10cfc91ab380b473e6874efb2898331e1ef06e23
x86_64
squid-5.5-6.el9_3.5.x86_64.rpm
c845e04b6bdac94bb5cced03ca2c6017368270ab9641d77a5bf029471a207d72

Notes:
This page is generated automatically from Red Hat security data and has not been checked for errors. For clarification or corrections please contact the AlmaLinux Packaging Team.

  ALSA-2024:0071 Important: squid security update